Auteur Sujet: Aide c-w err 2 : lib/modules/.../modules.dep.bin + choix de changement de distro  (Lu 4080 fois)

0 Membres et 1 Invité sur ce sujet

Hors ligne kikimonste

  • Nouvel inscrit
  • Messages: 5
  • +1/-0
Bonjour ,


Je suis nouveau sur ce site . J'ai un peu d'expérience avec linux et les distros de Offensive Security , mais ça se limite à cela .


Depuis quelques temps , j'essai de mettre en place une plateforme de PENTEST sur mon Galaxy note 2 SGH-l317M ANDROID V.4.1.2 .


J'ai été confronté a plusieurs problèmes en utilisant linux deploy : Le Kernel (Headers manquants) n'était pas compilé , Les drivers wireless étaient brisé , aucun outils d'installé bref la catastrophe ! Pourquoi j'installerais Kali si je dois me tapé tout le travail de réinstallé / recompilé l'image en modules .... ( j'ai listé que ce que j'ai vu ... pour l'instant )


Bref , je viens pour demander de l'aide sur les choix que j'ai en ce moment : Continué a essayer de faire fonctionné correctement Avec linux deploy et faire toute les installations ? ( Ah parce que j'ai dit que j'ai aussi tombé sur des crash de la console en utilisant apt-get install en utilisant les meta-package =) ? )


OU


Télécharger l'image du site officiel ( 1.0.6 armhf ) et l'installer avec un autre programme ?
( D'ailleurs , si quelqu'un connais le contenus de cette image parce que j'ai trouver peu d'information sur le net anglais et français ( si les outils y sont présent , si le Kernel est compilé comme il faut si les headers sont présent ... ect ))


ensuite je dois faire fonctionner mon TL-WN722N (chipset Atheros AR9271 ) avec mon téléphone ( brancher avec micro usb via un câble ) ce qui implique que je dois installer les drivers ath9k et ath9k_HTC et là j'en viens au problème exposé dans le titre : la derniere fois que j'ai essayer d'installer ses deux pack de drivers , j'ai eu une erreur comme quoi compat-wireless ( testé 2.6.33 et 3.14 (récent) ) ne trouvais pas les modules .... j'ai donc installer les headers approprié wash , build , pointé compat wireless sur le path de mon kernel et .... ERROR 1 , ERROR 2 modules ... et j'en passe .


J'ai perdu tout espoir hier quand il était 2 h du matin ....




J'espère que quelqu'un pourras m'aider merci d'avance ,




Kikimonste .

Hors ligne admin

  • Contributeur de Kali-linux.fr
  • Membre Elite
  • *****
  • Messages: 1711
  • +74/-3
    • Communauté FR de Kali-linux
Citer
une plateforme de PENTEST sur mon Galaxy note 2 SGH-l317M ANDROID V.4.1.2

Prends un PC auquel tu ajoute de la virtualisation un raspberry pi hébergé chez toi ou un serveur en location (Kimsufi) mais pas une note 2 pour une plateforme de PENTEST !

Hors ligne kikimonste

  • Nouvel inscrit
  • Messages: 5
  • +1/-0
Une plateforme de pentest mobile .... pour me connecté au réseaux locaux et aussi beaucoup plus discret ( galaxy note 2 me sert aussi de cellulaire )

D'ailleurs si je voudrait utilisé un PC j'utiliserait mon laptop sa serait moin compliquer ...

Hors ligne admin

  • Contributeur de Kali-linux.fr
  • Membre Elite
  • *****
  • Messages: 1711
  • +74/-3
    • Communauté FR de Kali-linux
Ok, je n'avais pas saisi. Je comprends mieux ton besoin. Regarde sur le site officiel de Kali :

https://forums.kali.org/showthread.php?10654-Using-the-Galaxy-Note-2-with-Kali-Linux-as-a-Viable-Wireless-Pen-Testing-Platform

Hors ligne kikimonste

  • Nouvel inscrit
  • Messages: 5
  • +1/-0
J'ai deja suivi ce thread rien d'interessant j'ai un problème qui vien directement de l'image de linux les modules ne sont pas présent ni les binaires pour les contruire alors aussitot que j'essai de monté une carte dans le kali et bah j'ai une erreur .

Hors ligne kikimonste

  • Nouvel inscrit
  • Messages: 5
  • +1/-0
UP ,


Je me suis rendu compte que quand je demandais la version du kernel kali me renvoyais la version du kernel d'android ... réussir a faire fonctionné le wifi sur le téléphone va nécessité de load les drivers d'atheros directement dans android ...


Sinon des idées ?

Kikimonste.